GDB (xrefs)

Functions
py-threadevent.c File Reference
`#include "defs.h"`
`#include "py-event.h"`
`#include "infrun.h"`

Go to the source code of this file.

## Functions
static PyObject * | get_event_thread (void)
gdbpy_ref | create_thread_event_object (PyTypeObject *py_type, PyObject *thread)

## Function Documentation

## ◆ create_thread_event_object()

gdbpy_ref create_thread_event_object | ( | PyTypeObject * | py_type,
|  | PyObject * | thread
| ) |  |

Definition at line 51 of file py-threadevent.c.

References create_event_object(), evpy_add_attribute(), gdb::ref_ptr< T, Policy >::get(), and get_event_thread().

Referenced by add_thread_object(), create_continue_event_object(), and create_stop_event_object().

## ◆ get_event_thread()

static PyObject* get_event_thread | ( | void |  | ) |
| static

Definition at line 28 of file py-threadevent.c.

References find_thread_object(), inferior_ptid, and non_stop.

Referenced by create_thread_event_object().